Subject: NeWS and X

From: <[email-masked]>
Date: Sat, 16 May 87 04:05:34 EDT

From: <[email-masked]>
Subject: NeWS and X
Date: Fri, 15 May 87 08:16:27 -0400

X is fast????  Give me a break.  I just saw News and X
running side by side, News on a 160 and X on a 260.
News was just as fast if not faster.  In particular,
try to do the rubber-band-line tracking trick with X.
Putting the interaction smarts next to the display has much
to say for it - mostly all correct.  This has been
proven time and again in other situations.  Why is it
some people insist on reinventing square wheels??

MOREOVER - the Sun mouse already has 2 too many buttons,(*)
but can X do anything with just the mouse?

NOOOOOOOOO!!!!!  You gotta drive the damn thing with
BOTH HANDS!! One playing the mouse, and the other
playin chords on the damn control-shift-meta-cokebottle
keys!!  Jeeeeeezzzz!! What a complete crock of flaming
feces!!  I have never seen anything as user fiendly
as that.  It simply sucks molten lava.

Why is it that anyone who thinks they understand
TECO and/or EMACS can build a user interface???
I got big news for them.  If X becomes the
defacto window standard for window systems
you can completely kiss-off the real
commercial marketplace.  It completely
fulfills everyone's worst fears and nightmares
about UNIX.

The simple fact is that designing REALLY GOOD
user interfaces is astonishingly hard, probably
as hard as designing fonts, and simply being
able to hack your favorite programming language
is neither necessary nor sufficient.  Anyone
anywhere attempting to write "window-based
software" who doesn't spend a long time
studying the Apple Macintosh User Interface
Guidelines before even thinking about their
design is simply wasting their time.
I am not claiming the Mac interface is perfect,
but before you make any claims about knowing
anything about what is going on with user
interfaces, you better well deeply understand
all the issues, tradeoffs, and decisions that
when into formulating those guidelines, otherwise
you are fooling yourself.

I have never yet seen any really window-based software
on any UNIX window system, possibly excepting the BLIT,
but even then, only barely. I have seen lots of glass-ttys with
options and widgets that make TECO and EMACS look
like smooth-surfaced spheres.  Only  when the UNIX
folks realize that, in fact, they really don't know
crap about what windows are good for and will take a
look at a system with tons of extremely consistant,
truly window-based software will we ever see
UNIX window systems that are worthy of the name.

I guess we have to wait for A/UX on the MacII.

	Flamin' away, as usual,
	-Mike O'Dell

(*) O'Dell's observation on mouse design -
	An N button mouse has N-1 too many buttons.

PS - Thought for the day:
	"X does for UNIX what Berkeley did for ls(1)."